site_name: Interactive Atlas Viewer User Documentation

theme:
  name: 'material'

extra_css:
  - extra.css

docs_dir: docs

markdown_extensions:
  - admonition
  - codehilite
  - footnotes
  - mdx_truly_sane_lists

plugins:
  - search
  # - errandkun:
  #     extract_path: docs/autogen_images
  #     external_resources:
  #     - type: github
  #       owner: fzj-inm1-bda
  #       repo: interactive-viewer
  #       workflow_name: e2e

pages:
  - Home: 'index.md'
  - System requirements: 'requirements.md'
  - User documentation:
    - Selecting: 'usage/selecting.md'
    - Navigating: 'usage/navigating.md'
    - Searching: 'usage/search.md'
    - Exploring connectivity: 'usage/connectivity.md'
    - Miscellaneous: 'usage/misc.md'
    - Sharing: 'usage/sharing.md'
  - Advanced usage:
    - Keyboard shortcuts: 'advanced/keyboard.md'
    - URL parsing: 'advanced/url.md'
    - Fetching datasets: 'advanced/datasets.md'
    - Display non-atlas volumes: 'advanced/otherVolumes.md'
  - Release notes:
    - v2.3.5: 'releases/v2.3.5.md'
    - v2.3.4: 'releases/v2.3.4.md'
    - v2.3.3: 'releases/v2.3.3.md'
    - v2.3.2: 'releases/v2.3.2.md'
    - v2.3.1: 'releases/v2.3.1.md'
    - v2.3.0: 'releases/v2.3.0.md'
    - v2.2.7: 'releases/v2.2.7.md'
    - v2.2.6: 'releases/v2.2.6.md'
    - v2.2.5: 'releases/v2.2.5.md'
    - v2.2.4: 'releases/v2.2.4.md'
    - v2.2.3: 'releases/v2.2.3.md'
    - v2.2.2: 'releases/v2.2.2.md'
    - v2.2.1: 'releases/v2.2.1.md'
    - v2.2.0: 'releases/v2.2.0.md'
    - v2.1.3: 'releases/v2.1.3.md'
    - v2.1.2: 'releases/v2.1.2.md'
    - v2.1.1: 'releases/v2.1.1.md'
    - v2.1.0: 'releases/v2.1.0.md'
    - v2.0.2: 'releases/v2.0.2.md'
    - v2.0.1: 'releases/v2.0.1.md'
    - v2.0.0: 'releases/v2.0.0.md'
    - v0.3.0-beta: 'releases/v0.3.0-beta.md'
    - v0.2.9: 'releases/v0.2.9.md'
    - v0.2.0: 'releases/v0.2.0.md'
    - v0.1.0: 'releases/v0.1.0.md'
    - legacy: 'releases/legacy.md'
